Skip to content

Change of top-level namespace to fix conflict with official Amazon aws-sdk #64

Open
wants to merge 4 commits into from

1 participant

@itrigga
itrigga commented Jan 26, 2012

Hi,

Thanks for the gem, we use it every day at iTrigga. However, since amazon released their official Ruby aws-sdk , we've found that we can't use that and this together.

The aws-sdk gem also defines the AWS::EC2 namespace, however in their case it's a class, not a module - so we can't just require both and get the methods mixed-in. So I took the simplest possible approach to fixing the problem by renaming the top-level namespace in your gem to AWSAPI. I figured if we have this problem, then others probably have too, so here's the pull request. All tests pass.

Thanks again!

Al

Al Davidson added some commits Jan 26, 2012
Al Davidson renamed top-level namespace to AWSAPI, to prevent conflicts with offi…
…cial Amazon AWS SDK gem, which also defines AWS::EC2 but as a class not a module
59e3468
Al Davidson renamed top-level namespace to AWSAPI, to prevent conflicts with offi…
…cial Amazon AWS SDK gem, which also defines AWS::EC2 but as a class not a module
9885d52
Al Davidson updated readme and changelog 65e4728
Al Davidson bumped version up to 0.9.18 3b6ab87
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.